[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# BinToHex

Convert a binary buffer to a hexadecimal string

## Declaration

Source position: strutils.pp line 189

`procedure BinToHex(`
`BinValue: PChar;`
`HexValue: PChar;`
`BinBufSize: Integer`
`);`

## Description

BinToHex converts the byte values in BinValue to a string consisting of 2-charachter hexadecimal strings in HexValue. BufSize specifies the length of BinValue, which means that HexValue must have size 2*BufSize.

For example a buffer containing the byte values 255 and 0 will be converted to FF00.

## Errors

No length checking is done, so if an invalid size is specified, an exception may follow.

## See also

HexToBin |  | Convert a hexadecimal string to a binary buffer

Documentation generated on: Feb 26 2014